/*Estilos generales de la página*/
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    height: auto;
}

body {
    font-family: 'Open Sans', sans-serif;
}

.contenedor {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    margin-top: 10%;
}

.formularios {
    width: 30%;
    margin-bottom: 50px;
}

/* Estilos de los tab */
.tab {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
}

/* Estilos de los botones adentro de los tabs */
.tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
    font-size: 17px;
    color: #52310B;
}

.btn1 {
    width: 53%;
}

.btn2 {
    width: 47%;
}

.tab button:hover {
    background-color: #ddd;
}

.tab button.active {
    background-color: #F5784C;
    color: #fff;
}

.tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    border-top: none;
}

.tabcontent {
    animation: fadeEffect 1s;/
}

/* Cambia la opacidad de 0 a 1 \nivel máximo\ */
@keyframes fadeEffect {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/*Estilos del formulario de login y registro de usuarios*/
.contenedor-formulario {
    color: #f2f2f2;
    padding: 25px 50px;
}

.contenedor-formulario .formulario {
    width: 100%;
    margin: auto;
}

.contenedor-formulario .formulario .input-group {
    position: relative;
    width: 100%;
    margin-bottom: 32px;
}

/*Estilos de la etiqueta select*/
.contenedor-formulario .formulario .input-group select {
    font-size: 16px;
    color: #52310B;
    width: 90%;
    outline: none;
    margin-top: 10px;
    padding: 10px;
    background: none;
    border: none;
    border: 2px solid #FA926D;
}

/*Estilos de los campos de texto, email y contraseña*/
.contenedor-formulario .formulario .input-group input[type="text"],
.contenedor-formulario .formulario .input-group input[type="email"],
.contenedor-formulario .formulario .input-group input[type="password"] {
    font-size: 16px;
    color: #52310B;
    width: 90%;
    outline: none;
    padding: 15px;
    background: none;
    border: none;
    border-bottom: 2px solid #FA926D;
}

/*Estilos de los campos de texto, email y contraseña cuando están activados*/
.contenedor-formulario .formulario .input-group input[type="text"]:focus,
.contenedor-formulario .formulario .input-group input[type="text"]:active,
.contenedor-formulario .formulario .input-group input[type="email"]:focus,
.contenedor-formulario .formulario .input-group input[type="email"]:active,
.contenedor-formulario .formulario .input-group input[type="password"]:focus,
.contenedor-formulario .formulario .input-group input[type="password"]:active {
    outline: none;
    border-bottom: 2px solid #F5784C;
    color: #52310B;
}

/*Estilos de los campos de texto, email y contraseña cuando se dejan vacíos*/
.contenedor-formulario .formulario .input-group input[type="text"].error,
.contenedor-formulario .formulario .input-group input[type="email"].error,
.contenedor-formulario .formulario .input-group input[type="password"].error {
    border-bottom: 2px solid #D32F2F;
}

/*Estilos de los label de los campos de texto, email y contraseña*/
.contenedor-formulario .formulario .input-group input[type="text"].error + label,
.contenedor-formulario .formulario .input-group input[type="email"].error + label,
.contenedor-formulario .formulario .input-group input[type="password"].error + label {
    color: #D32F2F;
}

/*Estilos de los label*/
.contenedor-formulario .formulario .input-group label {
    color: #52310B;
}

.contenedor-formulario .formulario .input-group .label {
    -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
    margin-left: 15px;
    font-size: 16px;
    line-height: 16px;
    position: absolute;
    top: 16px;
    left: 0;
}

.contenedor-formulario .formulario .input-group .aclaracion {
    display: block;
    font-size: 12px;
    margin-left: 15px;
    margin-top: 10px;
    color: #5F5F5F;
}

.contenedor-formulario .formulario .input-group .labelSelect {
    margin-left: 15px;
}

.contenedor-formulario .formulario .input-group label.label.active {
    top: -12px;
    font-size: 12px;
    line-height: 12px;
    color: #B6B6B6;
}


.contenedor-formulario .formulario .input-group.checkbox label,
.contenedor-formulario .formulario .input-group.radio label {
    display: inline-block;
    cursor: pointer;
    color: #52310B;
    position: relative;
    padding: 5px 15px 5px 51px;
    font-size: 1em;
    border-radius: 3px;
    -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.contenedor-formulario .formulario .input-group.checkbox label:hover,
.contenedor-formulario .formulario .input-group.radio label:hover {
    background: #FA926D;
}

.contenedor-formulario .formulario .input-group.checkbox label:before,
.contenedor-formulario .formulario .input-group.radio label:before {
    content: "";
    display: inline-block;
    width: 17px;
    height: 17px;
    position: absolute;
    left: 15px;
    border-radius: 50%;
    background: none;
    border: 2px solid #52310B;
}

.contenedor-formulario .formulario .input-group.error label {
    color: #D32F2F;
}

.contenedor-formulario .formulario .input-group.error label:hover {
    background: rgba(211, 47, 47, 0.2);
}

.contenedor-formulario .formulario .input-group.error label:before {
    border: 2px solid #D32F2F;
}

/*Estilos de los RadioButton*/
.contenedor-formulario .formulario .input-group.radio input[type="radio"] {
    display: none;
}

.contenedor-formulario .formulario .input-group.radio input[type="radio"]:checked + label:before {
    display: none;
}

.contenedor-formulario .formulario .input-group.radio input[type="radio"]:checked + label {
    padding: 5px 15px;
    background: #F5784C;
    border-radius: 2px;
    color: #f2f2f2;
}

.contenedor-formulario .formulario .input-group.checkbox label:before {
    border-radius: 3px;
}

/*Estilos de los CheckBox*/
.contenedor-formulario .formulario .input-group.checkbox input[type="checkbox"] {
    display: none;
}

.contenedor-formulario .formulario .input-group.checkbox input[type="checkbox"]:checked + label:before {
    display: none;
}

.contenedor-formulario .formulario .input-group.checkbox input[type="checkbox"]:checked + label {
    background: #F5784C;
    color: #f2f2f2;
    padding: 5px 15px;
}

/*Estilos de los botones Submit*/
.contenedor-formulario .formulario input[type="submit"] {
    background: #F5784C;
    border-radius: 1px;
    border: 2px solid #f2f2f2;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-size: 16px;
    padding: 15px;
    width: 100%;
    -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.contenedor-formulario .formulario input[type="submit"]:hover {
    background: #52310B;
}

/*Estilos de los avatares*/
.avatar {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
}

.avatar img {
    width: 152px;
    height: 150px;
}


/*DISEÑO RESPONSIVE*/
/* Tablets en horizontal */
@media screen and (max-width: 1024px) {
    .formularios {
        width: 40%;
    }
}

/* Móviles en horizontal o tablets en vertical */
@media screen and (max-width: 768px) {
    .contenedor {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: center;
        align-items: center;
        align-content: center;
    }

    .formularios {
        width: 50%;
    }
}

/* Móviles en vertical */
@media screen and (max-width: 480px) {
    .formularios {
        width: 100%;
    }

}
